## koko 23.04.2

=== debian/changelog ===
koko (23.04.2-0xneon+22.04+jammy+release+build10) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 12:49:20 +0000

koko (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:12:33 +0000

koko (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 20:01:06 +0000

koko (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 20:01:06 +0000

koko (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 20:01:06 +0000

koko (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:27:39 +0000

koko (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 20:01:08 +0000

koko (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 20:01:07 +0000

koko (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 20:01:06 +0000

koko (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 20:01:04 +0000

koko (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:33:07 +0000

koko (21.06-0neon) focal; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:47 +0000
