=== debian/control ===
Source: koko
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: baloo-kf5-dev,
               cmake (>= 2.6.2),
               debhelper (>= 9),
               extra-cmake-modules,
               kquickimageeditor-dev,
               libexiv2-dev (>= 0.21),
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5svg5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtpositioning5-dev,
               wget
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Vcs-Git: https://invent.kde.org/neon/mobile/koko.git
Vcs-Browser: https://invent.kde.org/neon/mobile/koko
Maintainer: Neon CI <neon@kde.org>

Package: koko
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Gallery
 A KDE Image Gallery.

Package: koko-dbg
Section: debug
Architecture: any
Priority: extra
Depends: koko (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Gallery - debug symbols
 A KDE Image Gallery.
 .
 This package contains debugging files used to investigate problems with
 the Qt Cryptographic Architecture libraries.
