## koko 23.08.3+ds.1

=== debian/changelog ===
koko (23.08.3+ds.1-2) unstable; urgency=medium

  * Include debian/* paragraph into d/copyright

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 25 Nov 2023 22:18:08 +0100

koko (23.08.3+ds.1-1) unstable; urgency=medium

  * Initial release. Closes: #1023392

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 21 Nov 2023 22:36:11 +0100
