=== debian/control ===
Source: koko
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5gui5,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qtbase5-private-dev,
               qtpositioning5-dev,
               qtquickcontrols2-5-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/graphics/koko
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/koko
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/koko.git
Rules-Requires-Root: no

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
         qml-module-org-kde-kquickimageeditor,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: libqt5x11extras5
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: libkokocommon0.0.1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile -- shared library
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains its shared library.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.
