## koko 23.08.5+ds.1

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014  Vishesh Handa <vhanda@kde.org>
# SPDX-License-Identifier: LGPL-2.1-or-later

ecm_install_icons(ICONS
    128-apps-koko.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
