=== debian/changelog ===
koko (23.08.5+ds.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:36:55 +0000

koko (23.08.5+ds.1-1ubuntu1) noble; urgency=medium

  * Do not build depend on libqt5gui5 as time_t64 transition has renamed
    that lib, and it is superfluous as Qt -dev packages depend on the
    correct version anyway.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 06:26:03 +0000

koko (23.08.5+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Add test into d/rules to ensure repack has been done right
  * Add deps into d/control that are needed for non-Plasma environments

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 20 Feb 2024 19:23:53 +0100
