=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: koko
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -15,7 +16,6 @@
                libkf5i18n-dev,
                libkf5notifications-dev,
                libkf5plasma-dev,
-               libqt5gui5,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libxcb-util-dev,
@@ -35,7 +35,10 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
+         libkf5purpose5,
+         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kquickimageeditor,
+	 qml-module-org-kde-qqc2breezestyle | qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: libqt5x11extras5
