=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp
-	
+
+execute_before_dh_auto_configure:
+	# Ensure the repacked archive has the required files
+	test -f src/cities1000.zip
+
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -a dh_auto_test
