=== debian/watch ===
version=4
opts=pgpmode=auto,dversionmangle=s/\+ds//,repacksuffix=+ds https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
