## koko 24.12.0

=== debian/changelog ===
koko (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update watch file to match the rest of Gear, as tarball re-pack is
    no longer needed.
  * New build depend on kirigami-addons-dev
  * Remove no longer built library package.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Dec 2024 10:12:06 +0000

koko (24.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Drop workarounds for reproducibility when changing the build path
    now that reproducible builds are done in a constant location.
  * Reexport upstream signing keys without extra signatures.

  [ Marco Mattiolo ]
  * New upstream release
  * Update d/rules for building on KF6 instead of KF5
  * Drop patches that have been merged upstream
  * Update d/control after upstream changes (Closes: #1079661)
  * Update d/koko.install after upstream changes
  * Update libkokocommon0.0.1.symbols after upstream changes
  * Update d/copyright after upstream changes
  * Standards-version 4.7.0 (no changes needed)
  * Copy files from other source folder, no repack needed

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 17 Dec 2024 19:18:04 +0100

koko (23.08.5+ds.1-2) unstable; urgency=medium

  [ James Addison ]
  * Fix build reproducibility for timestamps in zip (Closes: #1066088)

  [ Marco Mattiolo ]
  * Update d/control for build-deps after time64 transition (Closes: #1068074)
  * Fix build reproducibility for cmake_rpath_contains_build_path

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 13 Apr 2024 23:11:58 +0200
