## koko 24.12.1

=== debian/changelog ===
koko (24.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add qt6-declarative-private-dev to build-deps as workaround to #1087385.
  * Drop libkokocommon0.0.1 after upstream changes.
  * Backport the upstream patch about coreaddons QML import.

  [ Aurélien COUDERC ]
  * Drop repack suffix from watch file.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:05:50 +0100
