=== debian/watch ===
version=4
opts=pgpmode=auto, https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
