## koko 25.04.0

=== debian/changelog ===
koko (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:49 +0200

koko (24.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.2 (no changes needed).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Drop d/patches/003 patch that has been applied upstream.
  * Add/update Heiko Becker in upstream signing keys.

  [ Aurélien COUDERC ]
  * Add lintian overrides for LGPL2/2.1 using the old FSF address.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Apr 2025 21:12:58 +0200
