=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: koko
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240~),
                kirigami-addons-dev,
                kquickimageeditor-dev,
@@ -26,33 +27,23 @@
                pkg-kde-tools,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                qt6-positioning-dev (>= 6.5~),
                qt6-svg-dev (>= 6.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Homepage: https://invent.kde.org/graphics/koko
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/koko/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/koko
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/koko.git
 Rules-Requires-Root: no
 
 Package: koko
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
-         qml6-module-org-kde-breeze,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-kirigamiaddons-components,
-         qml6-module-org-kde-kirigamiaddons-delegates,
-         qml6-module-org-kde-kirigamiaddons-formcard,
-         qml6-module-org-kde-kquickcontrolsaddons,
-         qml6-module-org-kde-kquickimageeditor,
-         qml6-module-org-kde-purpose,
-         qml6-module-org-kde-quickcharts,
-         qml6-module-qtqml-workerscript,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-window,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Image gallery for Plasma mobile
  Koko is an image viewer designed for desktop and touch devices.
