=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6
+	dh $@
 
 execute_before_dh_auto_configure:
 	# src/CMakeLists.txt expects to find these files, otherwise it will try to download
