## koko 25.07.80

=== debian/changelog ===
koko (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Drop no more needed 002_reproducible_cities1000.patch
  * debian/rules: Drop workaround for data files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:16:58 +0100
