## koko 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(QT_MIN_VERSION 6.5)
 set(KF_MIN_VERSION 5.240)
 set(KDE_COMPILERSETTINGS_LEVEL 5.84)
@@ -36,6 +36,9 @@
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
 )
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)
+if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
+endif()
 
 qt_policy(SET QTP0001 NEW)
