=== debian/changelog ===
koko (25.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * d/control: depend on libgdk-pixbuf2.0-bin (Closes: #1111079).
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * Drop no more needed debian/patches/002_reproducible_cities1000.patch.
  * d/rules: drop the workaround as now upstream handles those files properly.
  * d/copyright: drop lines for non-existing files pointed out by lintian.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 16 Aug 2025 18:54:14 +0200
