=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libxcb-util-dev,
                pkg-kde-tools,
                qt6-base-dev (>= 6.5~),
+               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
                qt6-positioning-dev (>= 6.5~),
@@ -42,6 +43,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
+	 libgdk-pixbuf2.0-bin,
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
