## koko 25.08.1+p24.04+vstable+git20251001.0651

=== debian/changelog ===
koko (25.08.1+p24.04+vstable+git20251001.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:51:15 +0000
