## koko 25.08.2

=== debian/changelog ===
koko (25.08.2-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 23:48:30 +0000

koko (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:19:43 +0000
