=== debian/changelog ===
koko (25.08.2+p24.04+vunstable+git20251016.2348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 23:48:57 +0000
