## koko 25.08.2+p24.04+vunstable+git20251020.0356

=== debian/changelog ===
koko (25.08.2+p24.04+vunstable+git20251020.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:57:01 +0000
